Skip to main content
GET
/
coins
/
{id}
/
market_chart
/
range
Coin Historical Chart Data within Time Range by ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/coins/{id}/market_chart/range \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "prices": [
    [
      1704067241331,
      42261.0406175669
    ],
    [
      1704070847420,
      42493.2764087546
    ],
    [
      1704074443652,
      42654.0731066594
    ]
  ],
  "market_caps": [
    [
      1704067241331,
      827596236151.196
    ],
    [
      1704070847420,
      831531023621.411
    ],
    [
      1704074443652,
      835499399014.932
    ]
  ],
  "total_volumes": [
    [
      1704067241331,
      14305769170.9498
    ],
    [
      1704070847420,
      14130205376.1709
    ],
    [
      1704074443652,
      13697382902.2424
    ]
  ]
}

Tips

  • You may obtain the coin ID (API ID) via several ways:
    • Refer to respective coin page and find ‘API ID’.
    • Refer to /coins/list endpoint.
    • Refer to Google Sheets here.

Note

  • You may leave the interval params empty for automatic granularity:
    • 1 day from current time = 5-minutely data
    • 1 day from any time (except current time) = hourly data
    • 2 - 90 days from any time = hourly data
    • above 90 days from any time = daily data (00:00 UTC)
  • You may bypass the interval auto-granularity, by specifying the interval parameter:
    • interval=daily: daily historical data.
    • interval=hourly: hourly historical data, up to any 100 days date range per request.
    • interval=5m: 5-minutely historical data, up to any 10 days date range per request. interval=5m is exclusive for Enterprise subscribers only.
  • Cache / Update Frequency:
    Based on days range (all the API plans)
    • 1 day = 30 seconds cache
    • 2 - 90 days = 30 minutes cache
    • above 90 days = 12 hours cache
  • The last completed UTC day (00:00) is available 35 minutes after midnight on the next UTC day (00:35). The cache will always expire at 00:40 UTC.
  • Access to historical data via the Public API (Demo plan) is restricted to the past 365 days only. To access the complete range of historical data, please subscribe to one of our paid plans to obtain a Pro-API key.

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

id
string
default:bitcoin
required

coin ID *refers to /coins/list.

Example:

"bitcoin"

Query Parameters

vs_currency
string
default:usd
required

target currency of market data *refers to /simple/supported_vs_currencies.

Example:

"usd"

from
integer
default:1711929600
required

starting date in UNIX timestamp

Example:

"1711929600"

to
integer
default:1712275200
required

ending date in UNIX timestamp

Example:

"1712275200"

precision
enum<string>

decimal place for currency price value

Available options:
full,
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18

Response

200 - application/json

Get historical market data include price, market cap, and 24hr volume (granularity auto)

prices
number[][]
market_caps
number[][]
total_volumes
number[][]